###

###

###

###

###

###

    WCSTOMBS(3)         Linux Programmer's Manual         WCSTOMBS(3)

    NAME
           wcstombs  - convert a wide character string to a multibyte
           character string.

    SYNOPSIS
           #include <stdlib.h>

           size_t wcstombs(char *s, const wchar_t *pwcs, size_t n);

    DESCRIPTION
           The wcstombs() function converts a sequence of wide  char-
           acters  from  the  array pwcs into a sequence of multibyte
           characters and stores up to n bytes of  multibyte  charac-
           ters in the array s.

    RETURN VALUE
           wcstombs()  returns  the number of bytes stored in s or -1
           if s contains an invalid wide character.

    CONFORMING TO
           SVID 3, ISO 9899

### SEE ALSO

mblen, mbtowc, mbstowcs, wctomb,

###

    GNU                       March 29, 1993                        1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0